Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.value
Class StringValue.CharacterIterator

    java.lang.Object
      net.sf.saxon.value.StringValue.CharacterIterator

All Implemented Interfaces:
  SequenceIterator<Int64Value>, UnfailingIterator<Int64Value>

Enclosing class:
  StringValue

    public final class StringValue.CharacterIterator

extends Object
implements UnfailingIterator<Int64Value>

CharacterIterator is used to iterate over the characters in a string, returning them as integers representing the Unicode code-point.

Field Summary

Fields inherited from interface net.sf.saxon.om.SequenceIterator
`GROUNDED, LAST_POSITION_FINDER, LOOKAHEAD`

Constructor Summary
`StringValue.CharacterIterator()` Create an iterator over a string

Method Summary
`void` | `close()` Close the iterator.
`Int64Value` | `current()` Get the current item in the sequence.
`UnfailingIterator<Int64Value>` | `getAnother()` Get another iterator over the same sequence of items, positioned at the start of the sequence.
`int` | `getProperties()` Get properties of this iterator, as a bit-significant integer.
`Int64Value` | `next()` Get the next item in the sequence.
`int` | `position()` Get the current position

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StringValue.CharacterIterator

    public StringValue.CharacterIterator()

  Create an iterator over a string

Method Detail

### next

    public Int64Value next()

  Description copied from interface: `UnfailingIterator`
  Get the next item in the sequence.

  Specified by:
    `next` in interface `SequenceIterator<Int64Value>`
  Specified by:
    `next` in interface `UnfailingIterator<Int64Value>`
  Returns:
    the next Item. If there are no more nodes, return null.

### current

    public Int64Value current()

  Description copied from interface: `UnfailingIterator`
  Get the current item in the sequence.

  Specified by:
    `current` in interface `SequenceIterator<Int64Value>`
  Specified by:
    `current` in interface `UnfailingIterator<Int64Value>`
  Returns:
    the current item, that is, the item most recently returned by next()

### position

    public int position()

  Description copied from interface: `UnfailingIterator`
  Get the current position

  Specified by:
    `position` in interface `SequenceIterator<Int64Value>`
  Specified by:
    `position` in interface `UnfailingIterator<Int64Value>`
  Returns:
    the position of the current item (the item most recently returned by next()), starting at 1 for the first node

### close

    public void close()

  Description copied from interface: `SequenceIterator`
  Close the iterator. This indicates to the supplier of the data that the client does not require any more items to be delivered by the iterator. This may enable the supplier to release resources. After calling close(), no further calls on the iterator should be made; if further calls are made, the effect of such calls is undefined.

  (Currently, closing an iterator is important only when the data is being "pushed" in another thread. Closing the iterator terminates that thread and means that it needs to do no additional work. Indeed, failing to close the iterator may cause the push thread to hang waiting for the buffer to be emptied.)

  Specified by:
    `close` in interface `SequenceIterator<Int64Value>`

### getAnother

    public UnfailingIterator<Int64Value> getAnother()

  Description copied from interface: `UnfailingIterator`
  Get another iterator over the same sequence of items, positioned at the start of the sequence. It must be possible to call this method at any time, whether none, some, or all of the items in the original iterator have been read. The method is non-destructive: it does not change the state of the original iterator.

  Specified by:
    `getAnother` in interface `SequenceIterator<Int64Value>`
  Specified by:
    `getAnother` in interface `UnfailingIterator<Int64Value>`
  Returns:
    a new iterator over the same sequence

### getProperties

    public int getProperties()

  Get properties of this iterator, as a bit-significant integer.

  Specified by:
    `getProperties` in interface `SequenceIterator<Int64Value>`
  Returns:
    the properties of this iterator. This will be some combination of properties such as `SequenceIterator.GROUNDED` and `SequenceIterator.LAST_POSITION_FINDER`. It is always acceptable to return the value zero, indicating that there are no known special properties.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004-2011 Saxonica Limited. All rights reserved.